# Uses of Class
org.mariadb.jdbc.internal.util.exceptions.MariaDbSqlException

Packages that use MariaDbSqlException
Package
Description
org.mariadb.jdbc.internal.util.exceptions

## Uses of MariaDbSqlException in org.mariadb.jdbc.internal.util.exceptions

Methods in org.mariadb.jdbc.internal.util.exceptions that return MariaDbSqlException
Modifier and Type
Method
Description
`static MariaDbSqlException`
MariaDbSqlException.`of(SQLException cause, String sql)`
`MariaDbSqlException`
MariaDbSqlException.`withDeadLockInfo(String deadLockInfo)`
`MariaDbSqlException`
MariaDbSqlException.`withThreadName(String threadName)`